Subversion Repositories HelenOS-historic

Compare Revisions

Ignore whitespace Rev 499 → Rev 500

/uspace/trunk/clean.ia32
0,0 → 1,0
link tools/clean
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/clean.mips32el
===================================================================
--- trunk/clean.mips32el (nonexistent)
+++ trunk/clean.mips32el (revision 500)
@@ -0,0 +1 @@
+link tools/clean
\ No newline at end of file
/trunk/clean.mips32el
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/tools/build
===================================================================
--- trunk/tools/build (nonexistent)
+++ trunk/tools/build (revision 500)
@@ -0,0 +1,37 @@
+#! /bin/sh
+
+function syntax {
+ echo "Syntax:"
+ echo " build.<arch> [-compiler <compiler>]"
+ echo
+ echo "<arch> ... ia32, mips32, mips32el"
+ echo "<compiler> ... native, *cross"
+ echo
+}
+
+ARCH="`basename "$0" | awk -F. '{ if (NF > 1) print \$NF }'`"
+if [ -z "$ARCH" ]; then
+ syntax
+ exit 1
+fi
+
+ARGS=""
+while [ "$#" -gt 0 ]; do
+ case "$1" in
+ -compiler)
+ if [ -z "$2" ]; then
+ syntax
+ exit 1
+ fi
+ ARGS="$ARGS COMPILER=$2"
+ shift
+ ;;
+ *)
+ syntax
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+make all "ARCH=$ARCH"
/trunk/tools/build
Property changes:
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/tools/clean
===================================================================
--- trunk/tools/clean (nonexistent)
+++ trunk/tools/clean (revision 500)
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+ARCH="`basename "$0" | awk -F. '{ if (NF > 1) print \$NF }'`"
+if [ -z "$ARCH" ]; then
+ for ARCH in libc/arch/* ; do
+ make clean "ARCH=`basename "$ARCH"`"
+ done
+else
+ make clean "ARCH=$ARCH"
+fi
/trunk/tools/clean
Property changes:
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/clean
===================================================================
--- trunk/clean (nonexistent)
+++ trunk/clean (revision 500)
@@ -0,0 +1 @@
+link tools/clean
\ No newline at end of file
/trunk/clean
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/build.mips32
===================================================================
--- trunk/build.mips32 (nonexistent)
+++ trunk/build.mips32 (revision 500)
@@ -0,0 +1 @@
+link tools/build
\ No newline at end of file
/trunk/build.mips32
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/build.ia32
===================================================================
--- trunk/build.ia32 (nonexistent)
+++ trunk/build.ia32 (revision 500)
@@ -0,0 +1 @@
+link tools/build
\ No newline at end of file
/trunk/build.ia32
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/build.mips32el
===================================================================
--- trunk/build.mips32el (nonexistent)
+++ trunk/build.mips32el (revision 500)
@@ -0,0 +1 @@
+link tools/build
\ No newline at end of file
/trunk/build.mips32el
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property
Index: trunk/Makefile
===================================================================
--- trunk/Makefile (revision 499)
+++ trunk/Makefile (revision 500)
@@ -69,10 +69,10 @@
clean:
-rm -f init init.map _link.ld *.o
- $(MAKE) -C libc clean
+ $(MAKE) -C libc clean ARCH=$(ARCH)
libc/libc.a:
- $(MAKE) -C libc all
+ $(MAKE) -C libc all ARCH=$(ARCH)
_link.ld: _link.ld.in
$(CC) $(DEFS) $(CFLAGS) -E -x c $< | grep -v "^\#" > $@
/uspace/trunk/clean.mips32
0,0 → 1,0
link tools/clean
Property changes:
Added: svn:special
## -0,0 +1 ##
+*
\ No newline at end of property